%global         debug_package %{nil}

Name:           qemu-irix
Version:        2.11.1
Release:        1%{?dist}
Summary:        QEMU fork to add Irix (and to an extend Solaris) userland emulation

License:        GPLv2 and BSD and MIT and CC-BY
URL:            https://github.com/n64decomp/qemu-irix
# the release source is unable to compile with modern glibc, use a more up to date version instead
%global         commit 6d7d1fde2f68adf795e51a19ad2572a48931884e
Source0:        %{url}/archive/%{commit}.tar.gz#/%{name}-%{version}-%{commit}.tar.gz

BuildRequires: gcc
BuildRequires: python
BuildRequires: zlib-devel
BuildRequires: glib2-devel
BuildRequires: pixman-devel >= 0.21.8
BuildRequires: python3-devel
BuildRequires: libfdt-devel
BuildRequires: systemtap-sdt-devel

%description
QEMU fork to add Irix (and to an extend Solaris) userland emulation

%prep
%autosetup -n %{name}-%{commit}


%build
%{set_build_flags}

./configure \
    --cc=%{__cc} \
    --cxx=/bin/false \
    --prefix="%{_prefix}" \
    --libdir="%{_libdir}" \
    --datadir="%{_datadir}" \
    --sysconfdir="%{_sysconfdir}" \
    --interp-prefix=%{_prefix}/qemu-%M \
    --localstatedir="%{_localstatedir}" \
    --docdir="%{_docdir}" \
    --libexecdir="%{_libexecdir}" \
    --extra-ldflags="%{build_ldflags}" \
%ifnarch %{arm}
    --extra-cflags="%{optflags}" \
%else
    --extra-cflags="%{optflags} -DSTAP_SDT_ARG_CONSTRAINT=g" \
%endif
    --with-pkgversion="%{name}-%{version}-%{release}" \
    --firmwarepath="%firmwaredirs" \
    --enable-trace-backends=dtrace \
    --with-coroutine=ucontext \
    --with-git=git \
    --tls-priority=@QEMU,SYSTEM \
    --python=%{__python3} \
    --target-list=irix-linux-user,irixn32-linux-user,irix64-linux-user,solaris-linux-user

%make_build


%install
%make_install

rm -rf %{buildroot}%{_bindir}/{ivshmem-{client,server},qemu-{ga,img,io,nbd}} \
       %{buildroot}%{_datadir} \
       %{buildroot}%{_libexecdir}

%files
%license LICENSE
%{_bindir}/qemu-irix
%{_bindir}/qemu-irix64
%{_bindir}/qemu-irixn32
%{_bindir}/qemu-solaris


%changelog
* Fri Dec 31 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.11.1-1
- Correct Version number, update spec

* Sat Jun 06 2020 Jan Drögehoff <sentrycraft123@gmail.com> - 2.11-1
- Initial Release

